FLAC::Metadata::Prototype Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Prototype:

## Public Member Functions

virtual | ~Prototype ()
bool | operator== (const Prototype &) const
bool | operator== (const ::FLAC__StreamMetadata &) const
bool | operator== (const ::FLAC__StreamMetadata *) const
bool | operator!= (const Prototype &) const
bool | operator!= (const ::FLAC__StreamMetadata &) const
bool | operator!= (const ::FLAC__StreamMetadata *) const
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const

## Protected Member Functions

| Prototype (const Prototype &)
| Prototype (const ::FLAC__StreamMetadata &)
| Prototype (const ::FLAC__StreamMetadata *)
| Prototype (::FLAC__StreamMetadata *object, bool copy)
Prototype & | operator= (const Prototype &)
Prototype & | operator= (const ::FLAC__StreamMetadata &)
Prototype & | operator= (const ::FLAC__StreamMetadata *)
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes

::FLAC__StreamMetadata * | object_

## Friends

class | SimpleIterator
class | Iterator

## Detailed Description

Base class for all metadata block types. See the overview for more.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2022 Xiph.Org Foundation